Ant API: Class Tar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Tar

public class Tar
extends MatchingTask

Creates a TAR archive.

Author:
  Stefano Mazzocchi stefano@apache.org

Inner classes inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`MatchingTask.NameEntry`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`excludeList, includeList, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Tar()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBasedir(java.lang.String baseDirname)` This is the base directory to look in for things to tar.
`void` | `setTarfile(java.lang.String tarFilename)` This is the name/location of where to create the tar file.
`protected void` | `tarFile(java.io.File file, TarOutputStream tOut, java.lang.String vPath)`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, getDirectoryScanner, getProperty, setDefaultexcludes, setExcludes, setIgnore, setIncludes, setItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tar

    public Tar()

Method Detail

### setTarfile

    public void setTarfile(java.lang.String tarFilename)

  This is the name/location of where to create the tar file.

### setBasedir

    public void setBasedir(java.lang.String baseDirname)

  This is the base directory to look in for things to tar.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

### tarFile

    protected void tarFile(java.io.File file,
                           TarOutputStream tOut,
                           java.lang.String vPath)
                    throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.